
library ieee;
use ieee.std_logic_1164.all;
use ieee.numeric_std.all;

entity regUnit is
    port (I_clk                     : in  std_logic;
          I_pixel                   : in  std_logic_vector (7 downto 0);  -- Pixel from the memory
          I_ldPix11                 : in  std_logic;
          I_ldPix21                 : in  std_logic;
          I_ldPix31                 : in  std_logic;
          I_shReg                   : in  std_logic;
          O_Pix11, O_Pix12, O_Pix13 : out std_logic_vector (7 downto 0);
          O_Pix21, O_Pix22, O_Pix23 : out std_logic_vector (7 downto 0);
          O_Pix31, O_Pix32, O_Pix33 : out std_logic_vector (7 downto 0)
          );
end regUnit;

architecture Behavioral of regUnit is

    signal S_Pix11, S_Pix12, S_Pix13 : std_logic_vector (7 downto 0) := (others => '0');
    signal S_Pix21, S_Pix22, S_Pix23 : std_logic_vector (7 downto 0) := (others => '0');
    signal S_Pix31, S_Pix32, S_Pix33 : std_logic_vector (7 downto 0) := (others => '0');

begin

    -- banc de registres
    process(I_clk)
    begin
        if(rising_edge(I_clk)) then

__BLANK__

        end if;
    end process;

    O_Pix11 <= S_Pix11;
    O_Pix12 <= S_Pix12;
    O_Pix13 <= S_Pix13;
    O_Pix21 <= S_Pix21;
    O_Pix22 <= S_Pix22;
    O_Pix23 <= S_Pix23;
    O_Pix31 <= S_Pix31;
    O_Pix32 <= S_Pix32;
    O_Pix33 <= S_Pix33;

end Behavioral;
